Package uk.ac.starlink.vo

# Class ForeignMeta

java.lang.Object
uk.ac.starlink.vo.ForeignMeta

public class ForeignMeta extends Object
Represents foreign key information from a TableSet document.

Since:
  21 Jan 2011
Author:
  Mark Taylor
See Also:
  - IVOA VODataService Recommendation

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ForeignMeta.Link`
Represents a linkage from a column in the source table to a column in the target table.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ForeignMeta()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Returns the description for this foreign key.
`String`
`getKeyId()`
Returns the key ID associated with this foreign key.
`ForeignMeta.Link[]`
`getLinks()`
Returns the column links associated with this foreign key.
`String`
`getTargetTable()`
Returns the fully-qualified name of the target table for this foreign key.
`String`
`getUtype()`
Returns the utype associated with this foreign key.
`void`
`setLinks(ForeignMeta.Link[] links)`
Sets the links contained in this table.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ForeignMeta

protected ForeignMeta()
Constructor.

## Method Details

### getTargetTable

public String getTargetTable()
Returns the fully-qualified name of the target table for this foreign key.

Returns:
  target table name

### getDescription

public String getDescription()
Returns the description for this foreign key.

Returns:
  text description

### getUtype

public String getUtype()
Returns the utype associated with this foreign key.

Returns:
  utype

### getKeyId

public String getKeyId()
Returns the key ID associated with this foreign key.

Returns:
  key ID

### getLinks

public ForeignMeta.Link[] getLinks()
Returns the column links associated with this foreign key. If the result is null, nothing is known about the links, and the list may need to be explicitly set.

Returns:
  array of links associated with this foreign key, or null

### setLinks

public void setLinks(ForeignMeta.Link[] links)
Sets the links contained in this table.

Parameters:
  `links` - link array

### toString

public String toString()

Overrides:
  `toString` in class `Object`